{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BoardMember":{"properties":{"address":{"$ref":"#/components/schemas/BoardMemberAddress"},"companyId":{"description":"Company Id if board member is a company","format":"int64","type":"integer"},"fullName":{"description":"Board Member Full Name","type":"string"},"roles":{"description":"Roles","items":{"$ref":"#/components/schemas/Role"},"type":"array"}},"type":"object"},"BoardMemberAddress":{"properties":{"co":{"description":"Board Member Address Co","type":"string"},"communeCode":{"description":"Board Member Address Commune Code","format":"int64","type":"integer"},"communeName":{"description":"Board Member Address Commune Name","type":"string"},"countryCode":{"description":"Board Member Address Country Code","type":"string"},"floor":{"description":"Board Member Address Floor","type":"string"},"fritext":{"description":"Board Member Address Fritext","type":"string"},"poBox":{"description":"Board Member Address PO Box","type":"string"},"postalTown":{"description":"Board Member Address Postal Town","type":"string"},"sideDoor":{"description":"Board Member Address Side Door","type":"string"},"streetCode":{"description":"Board Member Address Street Code","format":"int64","type":"integer"},"streetLetterFrom":{"description":"Board Member Address Street Letter From","type":"string"},"streetLetterTo":{"description":"Board Member Address Street Letter To","type":"string"},"streetName":{"description":"Board Member Address Street Name","type":"string"},"streetNumberFrom":{"description":"Board Member Address Street Number From","format":"int64","type":"integer"},"streetNumberTo":{"description":"Board Member Address Street Number To","format":"int64","type":"integer"},"town":{"description":"Board Member Address Town","type":"string"},"zipcode":{"description":"Board Member Address Zipcode","format":"int64","type":"integer"}},"type":"object"},"BoardMembersResult":{"properties":{"boardMembers":{"description":"Company board members","items":{"$ref":"#/components/schemas/BoardMember"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"pagination":{"$ref":"#/components/schemas/PaginationInfo"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"HistoryBoardMembersResult":{"properties":{"boardMembers":{"description":"Company board members","items":{"$ref":"#/components/schemas/BoardMember"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"}},"type":"object"},"HistoryBoardMembersResults":{"description":"Company's board members history results","properties":{"pagination":{"$ref":"#/components/schemas/PaginationInfo"},"records":{"description":"found history board members(s)","items":{"$ref":"#/components/schemas/HistoryBoardMembersResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"PaginationInfo":{"properties":{"page":{"format":"int32","type":"integer"},"pageSize":{"format":"int32","type":"integer"},"paginationToken":{"type":"string"},"totalPages":{"format":"int32","type":"integer"},"totalRecords":{"format":"int32","type":"integer"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"Role":{"properties":{"isValidFrom":{"description":"Data is valid from date","type":"string"},"isValidTo":{"description":"Data is valid to date","type":"string"},"roleName":{"description":"Board Member Role Name","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Get board members and roles for company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Board Members and roles","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/board-members-icon-v3.1.svg"}},"openapi":"3.0.1","paths":{"/history/{companyId}":{"get":{"description":"Changes of the company's board members within specified date range. The range includes \"from\" and excludes \"to\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryBoardMembersResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history board members by company id","tags":["BoardMembersDk"]}},"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardMembersResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch board members and roles for company","tags":["BoardMembersDk"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/dk/company/board-members/1.0"}],"x-category":"company","x-countries":["dk"],"x-id":"BoardMembersApiDk"}